#!python

import os, sys, re, glob


class Object:
	def __init__(self, **kv):
		self.__dict__ = {}
		for k, v in kv.items():
			self.__dict__[k] = v


	def __setattr__(self, k, v):
		self.__dict__[k] = v

	def __getattr__(self, k):
		if self.__dict__.has_key(k):
			return self.__dict__[k]
		return None 

	def __str__(self):
		tmp = []
		keys =  self.__dict__.keys()
		for k in keys:
			tmp.append( "%s=%s" % (k, self.__dict__[k] ) )
		return ", ".join(tmp)

