#!python

import os, sys, re, glob

from qblib import util

def zip(dlist):
	for d in dlist:
		if d.endswith('zip'):
			continue
		util.zip(d)

def cleanup(dirlist):
	print "cleanup %s" % dirlist
	for d in dirlist:
		for root, dirs, files in os.walk(d):
			basename = os.path.basename(root)
			if re.match('tmp_' , basename):
				print 'rm -rf %s' % root
				os.system('rm -rf %s' % root)
				dirs = []	

def do(args):
	usg = """archieve.py -C -A dir1, dir2, dir3
	if dir is not specified, process cwd
	-C: do cleanup
	-A: do archieve
	e.g. archieve.py -c
	 archieve.py -A
	 archieve.py -c -A
	"""  

	argstr = "CA"

	optd, ars = util.parse_args(args, argstr, usg)
	if not optd:
		print usg
		sys.exit()
	if not ars:
		ars.append( os.path.abspath(os.curdir) )

	if optd.has_key('C'):
		cleanup(ars)

	if optd.has_key('A'):
		for d in ars:
			cwd = os.path.abspath(os.curdir)
			os.chdir(d)
			dnames = [x for x in glob.glob('201*') if os.path.isdir(x)]
			zip(dnames)
			os.chdir(cwd)
		
if __name__ == '__main__':
	do(sys.argv[1:])
	#zip(sys.argv[1:])
