#!python

import sys
from qblib import Fasta

def fasta2txt(fasfile):
	all = Fasta.all(fasfile)

	name = fasfile.replace('.fas', '.txt')
	F = open(name, 'w')

	for x in all:
		print >>F, '%s\t%s' % (x.name, x.sequence)
	F.close()

if __name__ == '__main__':

	if len(sys.argv) < 2:
		print "Usage: %s fastafile " % sys.argv[0]
		sys.exit()

	fasta2txt(sys.argv[1])
